{
    onTryHit(target, source, move) {
      if (target !== source && move.flags["light"]) {
        this.add("-immune", target, "[from] ability: Blindfold");
        return null;
      }
    },
    onTryBoost(boost, target, source, effect) {
      if (source && target === source)
        return;
      if (boost.accuracy && boost.accuracy < 0) {
        delete boost.accuracy;
        if (!effect.secondaries) {
          this.add("-fail", target, "unboost", "accuracy", "[from] ability: Blindfold", "[of] " + target);
        }
      }
    },
    onModifyMove(move) {
      move.ignoreEvasion = true;
    },
    flags: { breakable: 1 },
    name: "Blindfold",
    rating: 3.5,
    num: -32003
}